Incidencia #44687

sdl2: Diplomacy dialogs removed while iterating them

Abrir Fecha: 2022-05-27 16:21 Última actualización: 2022-06-05 02:27

Informador:
Propietario:
Tipo:
Estado:
Cerrado
Componente:
Prioridad:
5 - Medium
Gravedad:
5 - Medium
Resolución:
Fixed
Fichero:
4

Details

sdl2-client popdown_diplomacy_dialogs() calls popdown_diplomacy_dialog() inside dialog_list_iterate(). That call frees the dialog, causing next iteration to use already-freed link.

Ticket History (3/7 Histories)

2022-05-27 16:21 Updated by: cazfi
  • New Ticket "sdl2: Diplomacy dialogs removed while iterating them" created
2022-05-28 16:20 Updated by: cazfi
  • Propietario Update from (Ninguno) to cazfi
  • Resolución Update from Ninguno to Accepted
  • Hito Update from (Ninguno) to 3.0.2 (cerrado)
Comentario

Also a version to push to S2_6

2022-06-05 02:27 Updated by: cazfi
  • Estado Update from Open to Cerrado
  • Resolución Update from Accepted to Fixed

Editar

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Entrar